// LEDSwitchShield Library
// Copyright (c) 2014 by Haute Solutions / Ed Van Every (www.haute-solutions.com)
//
// This Library is intended to support simple LED Display and Control
// using the Haute Solutions LEDSwitchShield
//
// This file is free software; you can redistribute it and/or modify
// it under the terms of either the GNU General Public License version 2
// or the GNU Lesser General Public License version 2.1, both as
// published by the Free Software Foundation.
//

#ifndef LEDSWITCHSHIELD_H
#define LEDSWITCHSHIELD_H

#include <Arduino.h>

class LEDSWITCHSHIELD {
	public:
		LEDSWITCHSHIELD(int mode);	
		void DisplayIP(char *ip, int msdelay, int times);
		void DisplayNum(int num);
		void DisplayDot();
		void DisplayOff();
		void DisplayAll();
		void DisplayColumn(int column, int number);
		void LEDControl(int x, int y, int func, int ms);
		void ToggleLED(int x, int y);
		void ColumnUp(int x, int mode, int ms);
		void ColumnDown(int x, int mode, int ms);
		int GetPin(int x, int y);
		
		int LEDSwitchShield_Matrix[3][6];
	private:
};

#endif